Set or get default scale parameter for all bc math functions

- « bcpowmod

- bcsqrt »

- PHP Manual
- BC Math Functions
- Set or get default scale parameter for all bc math functions

# bcscale

(PHP 4, PHP 5, PHP 7, PHP 8)

bcscale — Set or get default scale parameter for all bc math functions

### Description

bcscale(int `$scale`): int

Sets the default scale parameter for all subsequent calls to bc math functions that do not explicitly specify a scale parameter.

bcscale(null `$scale` = `null`): int

Gets the current scale factor.

### Parameters

`scale`

  The scale factor.

### Return Values

Returns the old scale when used as setter. Otherwise the current scale is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | `scale` is now nullable.
7.3.0 | bcscale() can now be used to get the current scale factor; when used as setter, it now returns the old scale value. Formerly, `scale` was mandatory, and bcscale() always returned `true`.

### Examples

Example #1 bcscale() example

    <?php// default scale : 3bcscale(3);echo bcdiv('105', '6.55957'); // 16.007// this is the same without bcscale()echo bcdiv('105', '6.55957', 3); // 16.007?>